public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/accounts-qt/
Date: Fri,  4 Oct 2024 21:04:07 +0000 (UTC)	[thread overview]
Message-ID: <1728075796.87f36da5dddf3cfca9641605eacc4b799a1cb244.asturm@gentoo> (raw)

commit:     87f36da5dddf3cfca9641605eacc4b799a1cb244
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  4 19:07:01 2024 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Oct  4 21:03:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87f36da5

net-libs/accounts-qt: Drop IUSE qt6, don't enable qt5 by default

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/accounts-qt/accounts-qt-1.17-r1.ebuild | 110 ++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

diff --git a/net-libs/accounts-qt/accounts-qt-1.17-r1.ebuild b/net-libs/accounts-qt/accounts-qt-1.17-r1.ebuild
new file mode 100644
index 000000000000..204d29c1ff7d
--- /dev/null
+++ b/net-libs/accounts-qt/accounts-qt-1.17-r1.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils multibuild
+
+if [[ ${PV} = *9999* ]] ; then
+	EGIT_REPO_URI="https://gitlab.com/accounts-sso/lib${PN}.git/"
+	inherit git-r3
+else
+	SRC_URI="https://gitlab.com/accounts-sso/lib${PN}/-/archive/VERSION_${PV}/lib${PN}-VERSION_${PV}.tar.bz2 -> ${P}.tar.bz2"
+	S="${WORKDIR}/lib${PN}-VERSION_${PV}"
+	KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Qt bindings for libaccounts-glib"
+HOMEPAGE="https://accounts-sso.gitlab.io"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="doc qt5 test"
+
+# dbus problems
+RESTRICT="test"
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-qt/qtbase:6[xml]
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtxml:5
+	)
+	>=net-libs/libaccounts-glib-1.23:=
+"
+DEPEND="${RDEPEND}
+	test? ( qt5? ( dev-qt/qttest:5 ) )
+"
+BDEPEND="
+	doc? (
+		app-text/doxygen[dot]
+		|| (
+			dev-qt/qttools:6[assistant]
+			dev-qt/qthelp:5
+		)
+	)
+"
+
+PATCHES=( "${FILESDIR}/${PN}-1.16-libdir.patch" )
+
+pkg_setup() {
+	MULTIBUILD_VARIANTS=( $(usev qt5) qt6 )
+}
+
+src_prepare() {
+	default
+
+	local qhelpgeneratorpath
+	if has_version "dev-qt/qttools:6[assistant]"; then
+		qhelpgeneratorpath="$(qt6_get_libdir)/qt6/libexec"
+	elif has_version "dev-qt/qthelp:5"; then
+		qhelpgeneratorpath="$(qt5_get_bindir)"
+	else
+		eerror "dev-qt/qttools:6[assistant] nor dev-qt/qthelp:5 available even though in deps(?)"
+	fi
+
+	sed -e "s|share/doc/\$\${PROJECT_NAME}|share/doc/${PF}|" \
+		-i doc/doc.pri || die
+	sed -e "/QHG_LOCATION/s|qhelpgenerator|${qhelpgeneratorpath}/&|" \
+		-i doc/doxy.conf || die
+	if ! use doc; then
+		sed -e "/include( doc\/doc.pri )/d" -i ${PN}.pro || die
+	fi
+	if ! use test; then
+		sed -e '/^SUBDIRS/s/tests//' \
+			-i accounts-qt.pro || die "couldn't disable tests"
+	fi
+
+	multibuild_copy_sources
+}
+
+src_configure() {
+	my_src_configure() {
+		cd "${BUILD_DIR}" || die
+
+		if [[ ${MULTIBUILD_VARIANT} == qt6 ]]; then
+			eqmake6 PREFIX="${EPREFIX}"/usr LIBDIR=$(get_libdir)
+		else
+			eqmake5 PREFIX="${EPREFIX}"/usr LIBDIR=$(get_libdir)
+		fi
+	}
+
+	multibuild_foreach_variant my_src_configure
+}
+
+src_compile() {
+	my_src_compile() {
+		emake -C "${BUILD_DIR}"
+	}
+
+	multibuild_foreach_variant my_src_compile
+}
+
+src_install() {
+	my_src_install() {
+		emake -C "${BUILD_DIR}" INSTALL_ROOT="${D}" install
+	}
+
+	multibuild_foreach_variant my_src_install
+}


             reply	other threads:[~2024-10-04 21:04 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-04 21:04 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-03 20:31 [gentoo-commits] repo/gentoo:master commit in: net-libs/accounts-qt/ Andreas Sturmlechner
2025-01-03 20:31 Andreas Sturmlechner
2024-10-05  7:07 Michał Górny
2024-06-29 16:34 Andreas Sturmlechner
2024-06-28 12:59 Sam James
2024-06-28  0:59 Sam James
2024-06-28  0:16 Sam James
2024-01-12 14:03 Sam James
2023-03-23 19:52 Andreas Sturmlechner
2022-10-16 11:42 Andreas Sturmlechner
2022-09-21 21:36 Andreas Sturmlechner
2021-07-26 18:13 Andreas Sturmlechner
2019-12-11 16:52 Andreas Sturmlechner
2019-12-11 16:14 Aaron Bauman
2019-12-10  9:17 Agostino Sarubbo
2019-12-09 14:38 Agostino Sarubbo
2019-11-20 17:46 Andreas Sturmlechner
2019-11-20 15:38 Andreas Sturmlechner
2019-08-31 20:46 Andreas Sturmlechner
2019-08-06 13:03 Michael Palimaka
2018-01-25 14:26 Michael Palimaka
2018-01-25 14:26 Michael Palimaka
2017-09-09 16:00 Michael Palimaka
2017-09-09 13:08 Michael Palimaka
2017-09-06 21:00 Michał Górny
2016-06-23 13:40 Michael Palimaka
2016-05-24 11:39 Mikle Kolyada
2016-03-22 14:47 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1728075796.87f36da5dddf3cfca9641605eacc4b799a1cb244.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox